Целочисленное переполнение в libthai

Дата публикации:
27.01.2010
Дата изменения:
27.01.2010
Всего просмотров:
920
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libthai 0.x
Уязвимые версии: libthai версии до 1.1.3

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Целочисленное переполнение обнаружено при обработке слишком длинных строк. Удаленный пользователь может с помощью слишком длинной строки, переданной приложению, использующему уязвимую библиотеку, вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: linux.thai.net/projects/libthai

Решение: Установите последнюю версию 1.1.3 с сайта производителя.

Ссылки: http://linux.thai.net/node/184
http://lists.debian.org/debian-security-announce/2010/msg00006.html

или введите имя

CAPTCHA